# SteeringActuator(Actuator)

base classes — `bpy_struct`, `Actuator`

class `bpy.types.``SteeringActuator`(Actuator)
  `acceleration`

    Max acceleration

    Type: | float in [0, 1000], default 0.0

  `distance`

    Relax distance

    Type: | float in [0, 1000], default 0.0

  `facing`

    Enable automatic facing

    Type: | boolean, default False

  `facing_axis`

    Axis for automatic facing

    Type: | enum in [‘X’, ‘Y’, ‘Z’, ‘NEG_X’, ‘NEG_Y’, ‘NEG_Z’], default ‘X’

  `lock_z_velocity`

    Disable simulation of linear motion along Z axis

    Type: | boolean, default False

  `mode`

    Type: | enum in [‘SEEK’, ‘FLEE’, ‘PATHFOLLOWING’], default ‘SEEK’

  `navmesh`

    Navigation mesh

    Type: | `Object`

  `normal_up`

    Use normal of the navmesh to set “UP” vector

    Type: | boolean, default False

  `self_terminated`

    Terminate when target is reached

    Type: | boolean, default False

  `show_visualization`

    Enable debug visualization for ‘Path following’

    Type: | boolean, default False

  `target`

    Target object

    Type: | `Object`

  `turn_speed`

    Max turn speed

    Type: | float in [0, 720], default 0.0

  `update_period`

    Path update period

    Type: | int in [-inf, inf], default 0

  `velocity`

    Velocity magnitude

    Type: | float in [0, 1000], default 0.0

Inherited Properties

`bpy_struct.id_data` `Actuator.name` `Actuator.type` | `Actuator.pin` `Actuator.show_expanded` `Actuator.active`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values` `Actuator.link` `Actuator.unlink`